DK API 文档

douyin 03

15 个接口

GEThandler user profile

GET https://dkai.store/api/v1/douyin/app/v3/handler_user_profile

1 积分 / 成功调用

参数位置要求说明
sec_user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/handler_user_profile?sec_user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch city list

GET https://dkai.store/api/v1/douyin/billboard/fetch_city_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_city_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch content tag

GET https://dkai.store/api/v1/douyin/billboard/fetch_content_tag

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_content_tag'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot account fans interest account list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_interest_account_list

1 积分 / 成功调用

参数位置要求说明
sec_uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_interest_account_list?sec_uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot account fans interest search list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_interest_search_list

1 积分 / 成功调用

参数位置要求说明
sec_uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_interest_search_list?sec_uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot account fans interest topic list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_interest_topic_list

1 积分 / 成功调用

参数位置要求说明
sec_uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_interest_topic_list?sec_uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot account fans portrait list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_portrait_list

1 积分 / 成功调用

参数位置要求说明
sec_uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_fans_portrait_list?sec_uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot account item analysis list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_item_analysis_list

1 积分 / 成功调用

参数位置要求说明
sec_uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_item_analysis_list?sec_uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch hot account list

POST https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot account search list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_search_list

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
cursorquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_account_search_list?keyword=VALUE&cursor=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot calendar detail

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_calendar_detail

1 积分 / 成功调用

参数位置要求说明
calendar_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_calendar_detail?calendar_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch hot calendar list

POST https://dkai.store/api/v1/douyin/billboard/fetch_hot_calendar_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_calendar_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot category list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_category_list

1 积分 / 成功调用

参数位置要求说明
billboard_typequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_category_list?billboard_type=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot challenge list

GET https://dkai.store/api/v1/douyin/billboard/fetch_hot_challenge_list

1 积分 / 成功调用

参数位置要求说明
pagequery必填
page_sizequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/billboard/fetch_hot_challenge_list?page=VALUE&page_size=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。